Summary: Access control list utilities
Name: acl
Version: 2.3.1
Release: 5%{?dist}
License: GPLv2+
URL: https://savannah.nongnu.org/projects/acl
Source0: https://download-mirror.savannah.gnu.org/releases/acl/acl-%{version}.tar.gz

# avoid permission denied problem with LD_PRELOAD in the test-suite
Patch3000: 0001-acl-2.2.53-test-runwrapper.patch

BuildRequires: gcc make libtool gnupg2
BuildRequires: gawk gettext libattr-devel perl(FileHandle)
Requires: libacl = %{version}-%{release}

%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.

%package -n libacl
Summary: Dynamic library for access control list support
License: LGPLv2+

%description -n libacl
This package contains the libacl.so dynamic library which contains
the POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.

%package -n libacl-devel
Summary: Files needed for building programs with libacl
License: LGPLv2+
Requires: libacl = %{version}-%{release}, libattr-devel

%description -n libacl-devel
This package contains header files and documentation needed to develop
programs which requires the ACL programming interface.

%prep
%autosetup -p1

%build
%configure
%make_build

%check
# use the just built library for testing (instead of the system one)
export LD_LIBRARY_PATH="${RPM_BUILD_ROOT}%{_libdir}:${LD_LIBRARY_PATH}"

if test 0 = "$(id -u)"; then
    # test/root/permissions.test requires the 'daemon' user to be a member
    # of the 'bin' group in order not to fail.  Prevent the test from
    # running if we detect that its requirements are not met.
    if id -nG daemon | { ! grep bin >/dev/null; }; then
        sed -e 's|test/root/permissions.test||' \
            -i test/Makemodule.am Makefile.in Makefile
    fi

    # test/root/setfacl.test fails if 'bin' user cannot access build dir
    if ! runuser -u bin -- "${PWD}/setfacl" --version; then
        sed -e 's|test/root/setfacl.test||' \
            -i test/Makemodule.am Makefile.in Makefile
    fi
fi

%make_build check || exit $?

%install
%make_install

rm -f $RPM_BUILD_ROOT%{_libdir}/libacl.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libacl.la

chmod 0755 $RPM_BUILD_ROOT/%{_libdir}/libacl.so.*.*.*

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}*

%find_lang %{name}

%post -n libacl -p /sbin/ldconfig
%postun -n libacl -p /sbin/ldconfig

%files -f %{name}.lang
%license doc/COPYING*
%{_bindir}/chacl
%{_bindir}/getfacl
%{_bindir}/setfacl
%{_mandir}/man1/chacl.1*
%{_mandir}/man1/getfacl.1*
%{_mandir}/man1/setfacl.1*
%{_mandir}/man5/acl.5*

%files -n libacl
%{_libdir}/libacl.so.*

%files -n libacl-devel
%{_libdir}/libacl.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/acl
%{_includedir}/sys/acl.h
%{_mandir}/man3/acl_*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 13 2023 cunshunxia <cunshunxia@tencent.com> - 2.3.1-2
- remove gpgverify

* Tue Apr 12 2022 anakinzhang <anakinzhang@tencent.com> - 2.3.1-1
- Initial build
